package cn.wps.moffice.split.ipc;


interface InstallListener {

    void onInstallTaskEnqueued(String moduleName);

    void onGetSessionState(String moduleName, int status, long downloadBytes, long totalBytesDownload);

    void onPending(String moduleName);

    void onDownloading(String moduleName, long downloadBytes, long totalBytes);

    void onDonwloaded(String moduleName);

    void onInstalling(String moduleName);

    void onInstalled(String moduleName, String pageName);

    void onCanceling(String moduleName);

    void onCancel(String moduleName);

    void onError(String moduleName, String pageName, int code, String msg);

    void onUserCancelConfirm(String moduleName);

    void onUserConfirmed(String moduleName);

    void onUninstalling(String moduleName);
}