package cn.wps.moffice.split.ipc;


import cn.wps.moffice.split.ipc.InstallListener;

interface DynamicInstaller {

    void registerListener(InstallListener listener);

    int installModule(String moduleName, String pageName);

    int unInstallModule(String moduleName);

    int getSessionStates(int sessionId);

    List<String> getInstalledModules();

    List<String> getUnInstallingModules();

    int cancelInstall(int sessionId);

    int getSessionId(String moduelId);

    int getActiveSessionCount();


}